﻿{Application 'ENTRYMENU' logic file generated by CSPro }
PROC GLOBAL 
  set explicit;
  { Working variables -- check the lengths needed for all fields }
  alpha(75) tempTextCONTROL, tempTextHHEW, tempTextSHG, tempTextVO, tempTextVILL;
  file pffFile;
  alpha(32) CSPro;                      { CSPro executables directory }
  alpha(7)  proj;                       { project directory name - keep to 4 letters, e.g. XDHS }
  alpha(16)  app, dic, entapp, ckfld, ckid, dedimp, centry, statrep, compar, ebatch;
  array alpha(8) appt(3);                 { type of application: 1=Entry, 2=Batch, 3=Compare, }
  array alpha(8) appx(3);                 { executable name }
  array alpha(8) appext(3);               { application extension }
  alpha(8)  wrkdrv;                       { work drive may include the root directory shared by other machines }
  alpha(8)  bkpdrv;                       { work drive may also include the root directory }
  alpha(8)  drive;                        { Drive used for transferring files }
  alpha(32) wrkprj, supdir, repdir, bkpdir, wrkdir, ctldir, hhewdir, shgdir, vodir, villdir, wrkctl; { directories }
  alpha(32) ctlddir, hhewddir, shgddir, voddir, villddir;
  alpha(32) bkpctldir bkphhewdir, bkpshgdir, bkpvodir, bkpvilldir;
  alpha(32) cpctl cphhew, cpshg, cpvo, cpvill;
  alpha(32) bchhew, bcshg, bcvo;
  alpha(32) cmctl, cmhhew, cmshg, cmvo, cmvill;
  alpha(32) upup, upctl, upent, updic, uphhew, upshg, upvo, upvill;
  alpha(32) PSUdir, BTdir;
  alpha(32) entdir, dicdir;               { directory names for ENTRY, DICTS -- suggest using these names }
  alpha(32) wdir, xdir;                   { Working directory fields }
  alpha(32) fname;                        { filenames for various files }
  alpha(32) textname;                     { filename for files to be shown by textview }
  numeric always, choice, ret, run1, verified, fcchoice;
  numeric dt,bl,gp,aw,ic;
  alpha(2) adt;
  alpha(3)abl;
  alpha(5) agp;
  alpha(3) aww;
  alpha(13) cmid;
  alpha(4) cid;
  numeric i;
  array aBlockCode(999);
  array alpha(32) aBlockName(999);

numeric ii;
array aEGPCode(99999);
array alpha(32) aEGPName(99999);

function chkdir()
  if DirExist ( xdir ) <> 1 then
    errmsg("*** Directory %s does not exist", xdir );
    stop(-1);
    endif;
end;



function op_SHG();

	string pffFilename = pathname(Application) + "../SHG/SHG.pff";
        if setfile(pffFile,pffFilename,create) = 0 then
    	errmsg("Failed to open file %s", pffFilename);
	endif;
			filewrite(pffFile,"[Run Information]");
		    filewrite(pffFile,"Version=CSPro 7.0");
    		filewrite(pffFile,"AppType=Entry");			
			
			filewrite(pffFile,"[DataEntryInit]");
			filewrite(pffFile,"StartMode=Add");
			filewrite(pffFile,"Fullscreen=Yes");
			filewrite(pffFile,"LOCK=VERFY,STATS");
			filewrite(pffFile,"Interactive=Ask");
			filewrite(pffFile,"");
			filewrite(pffFile,"[Files]");
    		filewrite(pffFile,"Application=" + pathname(Application) + "../SHG/SHG.ent");
			tempTextSHG=concat("Application=" + pathname(Application) + "../DATA/SHG/","SHG",edit("99999",EGP), edit("999",intvcode), ".DAT");
			filewrite(pffFile,"InputData=%-128s",strip(tempTextSHG));
			filewrite(pffFile,"");
			filewrite(pffFile,"[Parameters]");
            FileWrite(pffFile, concat("Parameter=",strip(cmid)));			
			close(pffFile);
				   
    execpff(pffFilename, stop);
end;





PROC ENTRY_MENU_FF
preproc

PROC EDIST
preproc
	set attributes (EDIST) assisted on;

postproc
DISTRICT = EDIST;
if loadcase(AREA_DICT, DISTRICT) = 0 then
	errmsg("Invalid district, reenter");
	reenter EDIST;
endif;

do varying i = 1 until i > noccurs(AREA_DICT.AREA_REC)
	aBlockCode(i-1) = BLOCKCODE(i); 
	aBlockName(i-1) = BLOCKNAME(i);
enddo;

aBlockCode(i-1) = notappl; 

setvalueset(EBLOCK, aBlockCode, aBlockName);
PROC EBLOCK
preproc
	set attributes (EBLOCK) assisted on;

postproc
BLOCK = EBLOCK;
if loadcase(EGP_DICT,BLOCK) = 0 then
	errmsg("Invalid block, reenter");
	reenter eblock;
endif;

do varying i = 1 until i > noccurs(egp_DICT.egp_REC)
	aEGPCode(i-1) = EGPCODE(i); 
	aEGPName(i-1) = EGPNAME(i);
enddo;

aegpCode(i-1) = notappl; 

setvalueset(EGP, aEGPCode, aEGPName);
PROC EGP
preproc
	set attributes (EGP) assisted on;

postproc
dt=edist;
bl=eblock;
gp=egp;
ic=intvcode;

adt=edit("99",dt);
abl=edit("999",bl);
agp=edit("99999",gp);
aww=edit("999",ic);

cmid=concat(adt, abl, agp, aww);


